# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-

%define ver_major 0
%define ver_minor 9
%define ver_patch 5

%define apr_ver %ver_major.%ver_minor.%ver_patch
%define apu_ver %ver_major.%ver_minor.%ver_patch

# Do not define this variable to build release
#%%define cvsbuild 20031118

%ifdef cvsbuild

%define apr_cvsbuild 20031118111933
%define apu_cvsbuild 20031118111941

%define apr_filever _%apr_cvsbuild
%define apr_dir apr
%define apu_filever _%apu_cvsbuild
%define apu_dir apr-util

%define cvsbuild_desc This package built from CVS snapshot %cvsbuild

%else

%define apr_filever -%apr_ver
%define apr_dir apr-%apr_ver
%define apu_filever -%apu_ver
%define apu_dir apr-util-%apr_ver
%define cvsbuild_desc %nil

%endif

Name: libapr
Version: %apr_ver
Release: alt0.2
Epoch: 1

Summary: Apache Portable Runtime shared libraries
Group: System/Libraries
License: Apache
URL: http://apr.apache.org/
Obsoletes: libapr-subversion

Source0: apr%apr_filever.tar.gz
Source1: apr-util%apu_filever.tar.gz

# Automatically added by buildreq on Tue Nov 18 2003
BuildRequires: gcc-c++ libdb4.0-devel libexpat-devel libgdbm-devel libkrb5 libldap-devel libssl libstdc++-devel mozilla-nspr

%package devel
Summary: Development files for Apache Portable Runtime
Group: Development/C
Provides: %name-devel = %version
Requires: %name = %version
Obsoletes: libapr-subversion-devel

%package devel-static
Summary: Static libraries for Apache Portable Runtime
Group: Development/C
Provides: %name-devel-static = %version
Requires: %name-devel = %version
Obsoletes: libapr-subversion-devel-static

%package -n libaprutil
Summary: Apache Portable Runtime Utility shared libraries
Group: System/Libraries
Provides: libaprutil = %apu_ver
Requires: libapr = %apr_ver
Obsoletes: libaprutil-subversion

%package -n libaprutil-devel
Summary: Development files for Apache Portable Runtime Utility libraries
Group: Development/C
Provides: libaprutil-devel = %version
Requires: libaprutil = %version
Obsoletes: libaprutil-subversion-devel

%package -n libaprutil-devel-static
Summary: Static libraries for Apache Portable Runtime Utility libraries
Group: Development/C
Provides: libaprutil-devel-static = %version
Requires: libaprutil-devel = %version
Obsoletes: libaprutil-subversion-devel-static

%description
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc


%description -n libaprutil
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n libaprutil-devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n libaprutil-devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%prep
%setup -q -n %apr_dir
%setup -D -T -a 1 -n %apr_dir

%build
%define aprbuilddir %_datadir/apr/build

%ifdef cvsbuild
# FIXME: How to handle libtool.m4 path?
%set_libtool_version 1.5
LIBTOOL_M4=/usr/share/libtool-1.5/aclocal/libtool.m4 ./buildconf
(cd %apu_dir && LIBTOOL_M4=/usr/share/libtool-1.5/aclocal/libtool.m4 \
	./buildconf --with-apr=..)
%endif

%configure --with-installbuilddir=%aprbuilddir \
    --includedir=%_includedir/apr-%ver_major \
    --enable-threads --with-devrandom

(cd %apu_dir && %configure --with-apr=.. \
    --includedir=%_includedir/apu-%ver_major \
    --with-ldap)

%make_build
(cd %apu_dir && %make_build)

%install
%make_install DESTDIR=%buildroot install
(cd %apu_dir && %make_install DESTDIR=%buildroot install)

%post -p /sbin/post_ldconfig
%postun  -p /sbin/postun_ldconfig

%files
%_libdir/libapr-*.so*

%files -n %name-devel
%_bindir/apr-config
%_libdir/libapr-*.so
#%%_libdir/libapr-*.la
%_libdir/apr.exp
%_datadir/apr
%_includedir/apr-%ver_major

%files -n %name-devel-static
%_libdir/libapr-*.a

%files -n libaprutil
%_libdir/libaprutil-*.so*

%files -n libaprutil-devel
%_bindir/apu-config
%_libdir/libaprutil-*.so
#%%_libdir/libaprutil-*.la
%_libdir/aprutil.exp
%_includedir/apu-%ver_major

%files -n libaprutil-devel-static
%_libdir/libaprutil-*.a

%changelog
* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.2
- removed *.la files

* Wed Nov 19 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.1
- new version: 0.9.5 (from apache 2.0.48 tarball)

* Fri Aug 22 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.4-alt1
- new version: 0.9.4 (from apache 2.0.47 tarball)

* Tue Apr 15 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.3-alt1
- new version: 0.9.3

* Tue Mar 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.2-alt0.1
- first build for ALT Linux

